<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlatZaAnalitiku: alatZaAnalitiku/src/dataframe.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">AlatZaAnalitiku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_32374e165223414b7d047617c9a74980.html">alatZaAnalitiku</a></li><li class="navelem"><a class="el" href="dir_a7d251295564edc7fd08ff39724eea9b.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle"><div class="title">dataframe.h File Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;unordered_map&gt;</code><br />
<code>#include &lt;QString&gt;</code><br />
<code>#include &lt;QVector&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for dataframe.h:</div>
<div class="dyncontent">
<div class="center"><img src="dataframe_8h__incl.png" border="0" usemap="#aalat_za_analitiku_2src_2dataframe_8h" alt=""/></div>
<map name="aalat_za_analitiku_2src_2dataframe_8h" id="aalat_za_analitiku_2src_2dataframe_8h">
<area shape="rect" title=" " alt="" coords="108,5,237,48"/>
<area shape="rect" title=" " alt="" coords="5,96,116,123"/>
<area shape="poly" title=" " alt="" coords="145,51,92,89,89,85,142,46"/>
<area shape="rect" title=" " alt="" coords="140,96,205,123"/>
<area shape="poly" title=" " alt="" coords="175,49,175,80,170,80,170,49"/>
<area shape="rect" title=" " alt="" coords="230,96,299,123"/>
<area shape="poly" title=" " alt="" coords="198,47,241,84,237,88,194,51"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="dataframe_8h__dep__incl.png" border="0" usemap="#aalat_za_analitiku_2src_2dataframe_8hdep" alt=""/></div>
<map name="aalat_za_analitiku_2src_2dataframe_8hdep" id="aalat_za_analitiku_2src_2dataframe_8hdep">
<area shape="rect" title=" " alt="" coords="765,5,894,48"/>
<area shape="rect" href="src_2dataframe_8cpp.html" title=" " alt="" coords="56,96,184,139"/>
<area shape="poly" title=" " alt="" coords="750,36,505,58,354,76,203,99,185,102,184,97,202,93,354,70,505,53,750,31"/>
<area shape="rect" href="dynamicui_8h.html" title=" " alt="" coords="968,96,1096,139"/>
<area shape="poly" title=" " alt="" coords="892,52,986,93,984,98,890,57"/>
<area shape="rect" href="plotwindow_8cpp.html" title=" " alt="" coords="512,187,640,229"/>
<area shape="poly" title=" " alt="" coords="750,35,712,42,672,54,635,72,603,98,590,118,582,142,578,187,572,186,577,141,585,116,600,94,632,68,670,49,711,37,749,29"/>
<area shape="rect" href="statwindow_8cpp.html" title=" " alt="" coords="816,187,944,229"/>
<area shape="poly" title=" " alt="" coords="877,56,894,74,908,95,913,119,911,144,895,187,890,185,906,143,908,120,903,97,890,77,873,60"/>
<area shape="rect" href="graphs_8h.html" title=" " alt="" coords="259,96,387,139"/>
<area shape="poly" title=" " alt="" coords="750,41,588,64,399,99,388,101,387,96,398,93,587,59,750,35"/>
<area shape="rect" href="mainwindow_8cpp.html" title=" " alt="" coords="107,277,235,320"/>
<area shape="poly" title=" " alt="" coords="910,39,1006,61,1109,93,1182,119,1251,147,1277,164,1292,183,1294,206,1278,231,1262,239,1231,246,1131,258,829,277,491,291,236,298,235,293,490,286,829,272,1131,252,1230,240,1260,234,1274,227,1289,204,1287,185,1273,168,1249,152,1180,124,1107,99,1005,66,908,44"/>
<area shape="rect" href="mainwindow_8h.html" title=" " alt="" coords="5,187,134,229"/>
<area shape="poly" title=" " alt="" coords="750,34,626,42,480,55,344,73,289,85,248,98,233,107,222,117,198,141,114,188,112,184,195,137,219,114,229,103,246,94,288,80,343,68,480,50,625,37,750,29"/>
<area shape="rect" href="plotwindow_8h.html" title=" " alt="" coords="613,96,742,139"/>
<area shape="poly" title=" " alt="" coords="782,59,714,98,712,93,779,54"/>
<area shape="rect" href="statwindow_8h.html" title=" " alt="" coords="765,96,894,139"/>
<area shape="poly" title=" " alt="" coords="832,64,832,96,827,96,827,64"/>
<area shape="rect" href="utils_8h.html" title=" " alt="" coords="411,96,539,139"/>
<area shape="poly" title=" " alt="" coords="751,50,540,103,539,97,749,45"/>
<area shape="rect" href="tests_2dataframe_8cpp.html" title=" " alt="" coords="1255,96,1394,139"/>
<area shape="poly" title=" " alt="" coords="909,37,1061,62,1237,93,1255,97,1254,102,1236,99,1060,67,908,43"/>
<area shape="rect" href="push__back_8cpp.html" title=" " alt="" coords="1419,96,1558,139"/>
<area shape="poly" title=" " alt="" coords="910,32,1134,54,1270,72,1406,93,1418,96,1417,101,1405,99,1269,77,1133,60,909,37"/>
<area shape="rect" href="var_vector_8cpp.html" title=" " alt="" coords="1583,96,1722,139"/>
<area shape="poly" title=" " alt="" coords="909,29,1201,49,1385,68,1570,93,1582,96,1581,101,1569,99,1385,73,1201,54,909,34"/>
<area shape="rect" href="dynamicui_8cpp.html" title=" " alt="" coords="664,187,792,229"/>
<area shape="poly" title=" " alt="" coords="954,144,793,191,792,185,953,139"/>
<area shape="rect" href="fileimportwindow_8cpp.html" title=" " alt="" coords="968,187,1112,229"/>
<area shape="poly" title=" " alt="" coords="1038,154,1041,186,1036,187,1033,154"/>
<area shape="rect" href="main_8cpp.html" title=" " alt="" coords="1136,187,1264,229"/>
<area shape="poly" title=" " alt="" coords="1086,144,1162,184,1160,189,1084,149"/>
<area shape="poly" title=" " alt="" coords="953,134,813,158,653,189,641,192,640,187,652,184,812,152,952,128"/>
<area shape="poly" title=" " alt="" coords="985,149,917,188,914,184,982,145"/>
<area shape="poly" title=" " alt="" coords="403,137,529,160,653,184,664,187,663,192,652,189,528,166,402,142"/>
<area shape="poly" title=" " alt="" coords="397,142,518,183,516,189,396,147"/>
<area shape="rect" href="graphs_8cpp.html" title=" " alt="" coords="208,187,336,229"/>
<area shape="poly" title=" " alt="" coords="306,154,286,188,282,185,301,151"/>
<area shape="poly" title=" " alt="" coords="249,148,221,166,198,188,186,210,179,233,173,277,168,277,174,232,181,207,194,185,218,161,246,143"/>
<area shape="poly" title=" " alt="" coords="250,147,130,189,128,183,248,142"/>
<area shape="poly" title=" " alt="" coords="106,238,149,275,145,279,103,242"/>
<area shape="poly" title=" " alt="" coords="699,151,719,185,714,188,695,154"/>
<area shape="poly" title=" " alt="" coords="644,151,602,188,598,184,641,147"/>
<area shape="poly" title=" " alt="" coords="796,151,754,188,750,184,793,147"/>
<area shape="poly" title=" " alt="" coords="851,151,871,185,866,188,847,154"/>
<area shape="poly" title=" " alt="" coords="511,147,554,184,551,188,508,151"/>
<area shape="poly" title=" " alt="" coords="555,131,805,184,816,187,815,192,804,189,554,136"/>
<area shape="poly" title=" " alt="" coords="415,148,321,188,319,184,412,143"/>
<area shape="rect" href="utils_8cpp.html" title=" " alt="" coords="360,187,488,229"/>
<area shape="poly" title=" " alt="" coords="458,154,438,188,434,185,453,151"/>
</map>
</div>
</div>
<p><a href="dataframe_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_var_vector.html">VarVector</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_data_frame.html">DataFrame</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:a0bc6723d5d4776ab7cdc646728b775f7" id="r_a0bc6723d5d4776ab7cdc646728b775f7"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a0bc6723d5d4776ab7cdc646728b775f7">TYPE</a> { <a class="el" href="#a0bc6723d5d4776ab7cdc646728b775f7a8036f3be5700d4eb67d27fab554d5e0c">NUMERIC</a>
, <a class="el" href="#a0bc6723d5d4776ab7cdc646728b775f7aee847e634a4297b274316de8a8ca9921">STRING</a>
 }</td></tr>
<tr class="separator:a0bc6723d5d4776ab7cdc646728b775f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="a0bc6723d5d4776ab7cdc646728b775f7" name="a0bc6723d5d4776ab7cdc646728b775f7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0bc6723d5d4776ab7cdc646728b775f7">&#9670;&#160;</a></span>TYPE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="#a0bc6723d5d4776ab7cdc646728b775f7">TYPE</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a0bc6723d5d4776ab7cdc646728b775f7a8036f3be5700d4eb67d27fab554d5e0c" name="a0bc6723d5d4776ab7cdc646728b775f7a8036f3be5700d4eb67d27fab554d5e0c"></a>NUMERIC&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a0bc6723d5d4776ab7cdc646728b775f7aee847e634a4297b274316de8a8ca9921" name="a0bc6723d5d4776ab7cdc646728b775f7aee847e634a4297b274316de8a8ca9921"></a>STRING&#160;</td><td class="fielddoc"></td></tr>
</table>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0
</small></address>
</body>
</html>
